Desenvolver no último e maior ou ficar com a versão bem documentada?

5

Devo desenvolver a mais recente e melhor versão 1.7 do Joomla ou ficar com a versão bem documentada do 1.5?

Sou novo no Joomla (e no webDev em geral), por isso, busco on-line, pesquiso on-line e pergunto aos que são mais sábios do que eu. O problema é que as respostas são para a versão 1.5 e não se aplicam a 1.7, então estou me debatendo.

Geralmente eu usaria o mais recente e melhor.

  • Deve ser suportado por mais tempo
  • Deve ter correções de bugs
  • Novas coisas incríveis que serão desenvolvidas não serão compatíveis com versões anteriores
  • As extensões e componentes da versão antiga não serão mantidos

Mas preciso ativar este site em um mês. E se eu estiver lutando mal ou sem documentação, vai ser uma batalha difícil.

Então, fique com as melhores e mais recentes ou instale o que todos os tutoriais, guias e vídeos são voltados para eles?

    
por Philip 28.07.2011 / 23:14
fonte

3 respostas

3

Se não houver nenhuma razão convincente para usar o último lançamento importante (ou seja, um recurso indispensável, que não deve ser corrigido), é mais econômico manter uma versão bem comprovada que existe há algum tempo. Minha regra de ouro é o dobro do esforço necessário ao usar uma versão beta do software. Alguns softwares são "liberados" na forma Beta, então, a menos que você saiba que eles têm um bom histórico, suponha que algo menor do que alguns meses ainda seja Beta.

O que eu também acho é que software recente, mas não o mais novo, tem informações mais relevantes na web. O mais novo faz muito barulho em um nível superficial, mas leva meses ou até anos para chegar a todas as porcas e parafusos. É mais fácil encontrar respostas para esses problemas particularmente difíceis quando o software já existe há algum tempo e alguém já esteve lá antes de você.

Não chamamos novos lançamentos de ponta a ponta para nada.

    
por 29.07.2011 / 00:09
fonte
2
  • No trabalho, desenvolva com versões bem documentadas de qualquer coisa. Isso permitirá que você se concentre em problemas de domínio. Você também obterá resultados mais rápidos e melhores.
  • Em casa, lute contra os mais recentes e maiores. Isso permitirá que você ganhe experiência não útil, mas muito valiosa, com novas ferramentas. Você também terá insights mais profundos e novas idéias.
por 29.07.2011 / 10:30
fonte
1

Eu tive que me fazer esta mesma pergunta apenas alguns dias atrás para criar um site que tem que ser enviado em um período de tempo similar e eu tive que usar o 1.5, não apenas por causa das características principais, mas por causa do componentes / módulos que são suportados em 1.5 e atualmente não são suportados em versões posteriores.

    
por 29.07.2011 / 00:38
fonte